Package ch.qos.logback.core.pattern

# Class FormatInfo

java.lang.Object
ch.qos.logback.core.pattern.FormatInfo

public class FormatInfo extends Object
FormattingInfo instances contain the information obtained when parsing formatting modifiers in conversion modifiers.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`FormatInfo()`
`FormatInfo(int min, int max)`
`FormatInfo(int min, int max, boolean leftPad, boolean leftTruncate)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getMax()`
`int`
`getMin()`
`int`
`hashCode()`
`boolean`
`isLeftPad()`
`boolean`
`isLeftTruncate()`
`void`
`setLeftPad(boolean leftAlign)`
`void`
`setLeftTruncate(boolean leftTruncate)`
`void`
`setMax(int max)`
`void`
`setMin(int min)`
`String`
`toString()`
`static FormatInfo`
`valueOf(String str)`
This method is used to parse a string such as "5", ".7", "5.7" or "-5.7" into a FormatInfo.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FormatInfo

public FormatInfo()

### FormatInfo

public FormatInfo(int min, int max)

### FormatInfo

public FormatInfo(int min, int max, boolean leftPad, boolean leftTruncate)

## Method Details

### valueOf

public static FormatInfo valueOf(String str) throws IllegalArgumentException
This method is used to parse a string such as "5", ".7", "5.7" or "-5.7" into a FormatInfo.

Parameters:
  `str` - A String to convert into a FormatInfo object
Returns:
  A newly created and appropriately initialized FormatInfo object.
Throws:
  `IllegalArgumentException`

### isLeftPad

public boolean isLeftPad()

### setLeftPad

public void setLeftPad(boolean leftAlign)

### getMax

public int getMax()

### setMax

public void setMax(int max)

### getMin

public int getMin()

### setMin

public void setMin(int min)

### isLeftTruncate

public boolean isLeftTruncate()

### setLeftTruncate

public void setLeftTruncate(boolean leftTruncate)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`